OBJ

  time   : "Timer"
  pst    : "Parallax Serial Terminal"
  adc    : "MCP3208"
  fp     : "FloatMath"
  fs     : "FloatString"

PUB go | ch0, ch0fp                                 

  time.SystemClock(time#PropBOE)
  pst.Start(115_200)
  adc.Start(26,27,25,%0001)

  repeat
    pst.Home
    ch0 := adc.In(0)
    pst.Str(String("ch0 = "))
    ch0fp := fp.FFloat(ch0)
    ch0fp := fp.fmul(ch0fp, 5.0)
    ch0fp := fp.fdiv(ch0fp, 4096.0)
    pst.str(fs.FloatToString(ch0fp))
    pst.ClearEnd
    time.pause(100)
    