CON
  scale = 16_777_216 ' 2 256

VAR

  byte duty  

OBJ
  time   : "Timer"
  pst    : "Parallax Serial Terminal"
  adc    : "MCP3208"

PUB go | ch[4], i                                

  time.SystemClock(time#PropBOE)
  pst.Start(115200)
  adc.Start2(26,27,25,%1111, 23, 24)

  repeat
    pst.Home
    repeat i from 0 to 3
      ch[i] := adc.in(i)
      pst.Str(String("ch"))
      pst.Dec(i)
      pst.Str(String(" = "))
      pst.Dec(ch[i])
      pst.ClearEnd
      pst.NewLine
    duty++
    adc.out(duty*scale, -1 - (duty*scale))
    time.pause(5)
